|  | Home | Documentation | uddi2__get_USCOREbusinessDetail Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
uddi2__get_USCOREbusinessDetail Class Reference

Schema urn:uddi-org:api_v2:"get_businessDetail". More...

`#include <uddi_v2.h>`

## Public Member Functions
| uddi2__get_USCOREbusinessDetail (struct soap *)
| Member declared in uddi2-typemap.dat. More...
| uddi2__get_USCOREbusinessDetail (struct soap *, const char *businessKey)
| Member declared in uddi2-typemap.dat. More...
| uddi2__get_USCOREbusinessDetail (struct soap *, std::vector< char * > businessKeys)
| Member declared in uddi2-typemap.dat. More...
uddi2__businessDetail * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat. More...

## Public Attributes
std::vector< uddi2__businessKey > | businessKey
| Vector of uddi2__businessKey with length 0..unbounded. More...
char * | generic
| Attribute generic of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"get_businessDetail".

Represents a request to get business details from a UDDI server.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137718

## Constructor & Destructor Documentation

uddi2__get_USCOREbusinessDetail::uddi2__get_USCOREbusinessDetail | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the get_USCOREbusinessDetail class.

uddi2__get_USCOREbusinessDetail::uddi2__get_USCOREbusinessDetail | ( | struct soap * | soap,
|  | const char * | businessKey
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | businessKey | string

Creates an instance of the get_USCOREbusinessDetail class using the specified business key.

uddi2__get_USCOREbusinessDetail::uddi2__get_USCOREbusinessDetail | ( | struct soap * | soap,
|  | std::vector< char * > | businessKeys
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | businessKeys | collection of key strings

Creates an instance of the get_USCOREbusinessDetail class using the specified collection of business keys.

## Member Function Documentation

uddi2__businessDetail * uddi2__get_USCOREbusinessDetail::send | ( | const char * | endpoint | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server

Returns
  A pointer to a uddi2__businessDetail object or NULL on error

Send a request to a UDDI server to get the business details.

## Member Data Documentation

std::vector<uddi2__businessKey > uddi2__get_USCOREbusinessDetail::businessKey

Vector of uddi2__businessKey with length 0..unbounded.

char* uddi2__get_USCOREbusinessDetail::generic

Attribute generic of type xs:string.

Required attribute

struct soap* uddi2__get_USCOREbusinessDetail::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h